Bug 853138 (CVE-2012-3136) - CVE-2012-3136 OpenJDK: beans MethodElementHandler insufficient permission checks (beans, 7194567)
Summary: CVE-2012-3136 OpenJDK: beans MethodElementHandler insufficient permission che...
Status: CLOSED ERRATA
Alias: CVE-2012-3136
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20120830,repor...
Keywords: Security
Depends On: 852299 852300 852301 852302 852303 852304 854890 854891 856471
Blocks: 852098
TreeView+ depends on / blocked
 
Reported: 2012-08-30 15:00 UTC by Tomas Hoger
Modified: 2015-11-25 09:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 08:45:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1223 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2012-09-03 17:00:27 UTC
Red Hat Product Errata RHSA-2012:1225 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2012-09-04 11:04:31 UTC
Red Hat Product Errata RHSA-2012:1289 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2012-09-19 02:52:20 UTC

Description Tomas Hoger 2012-08-30 15:00:46 UTC
A flaw was found in the java.beans MethodElementHandler implementation.  A Java code running in the Java sandbox could use this flaw to bypass sandbox restrictions and run arbitrary code with the Java Virtual Machine privileges.

Comment 2 Tomas Hoger 2012-08-31 07:34:23 UTC
Upstream fix, as applied in IcedTea 7 2.3 repositories:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/5f709891901c

Comment 3 Tomas Hoger 2012-08-31 09:55:25 UTC
OpenJDK7 repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/83163c4895e3

Comment 4 errata-xmlrpc 2012-09-03 13:01:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1223 https://rhn.redhat.com/errata/RHSA-2012-1223.html

Comment 6 errata-xmlrpc 2012-09-04 07:05:55 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1225 https://rhn.redhat.com/errata/RHSA-2012-1225.html

Comment 7 errata-xmlrpc 2012-09-18 22:53:22 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1289 https://rhn.redhat.com/errata/RHSA-2012-1289.html


Note You need to log in before you can comment on or make changes to this bug.